Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang3
Class SerializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.lang3.SerializationException

All Implemented Interfaces:
  Serializable

    public class SerializationException

extends RuntimeException

Exception thrown when the Serialization process fails.

The original error is wrapped within this one.

#NotThreadSafe# because Throwable is not threadsafe

Since:
  1.0
Version:
  $Id: SerializationException.java 918836 2010-03-04 03:12:36Z sebb $
Author:
  Apache Software Foundation
See Also:
  Serialized Form

Constructor Summary
`SerializationException()` Constructs a new `SerializationException` without specified detail message.
`SerializationException(String msg)` Constructs a new `SerializationException` with specified detail message.
`SerializationException(String msg, Throwable cause)` Constructs a new `SerializationException` with specified detail message and nested `Throwable`.
`SerializationException(Throwable cause)` Constructs a new `SerializationException` with specified nested `Throwable`.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializationException

    public SerializationException()

  Constructs a new `SerializationException` without specified detail message.

### SerializationException

    public SerializationException(String msg)

  Constructs a new `SerializationException` with specified detail message.

  Parameters:
    `msg` - The error message.

### SerializationException

    public SerializationException(Throwable cause)

  Constructs a new `SerializationException` with specified nested `Throwable`.

  Parameters:
    `cause` - The `Exception` or `Error` that caused this exception to be thrown.

### SerializationException

    public SerializationException(String msg,
                                  Throwable cause)

  Constructs a new `SerializationException` with specified detail message and nested `Throwable`.

  Parameters:
    `msg` - The error message.
    `cause` - The `Exception` or `Error` that caused this exception to be thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.